Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Class LoadRecentProject

    java.lang.Object
      org.apache.jmeter.gui.action.Load
          org.apache.jmeter.gui.action.LoadRecentProject

All Implemented Interfaces:
  Command

public class LoadRecentProject
extends Load

Handles the loading of recent files, and also the content and visibility of menu items for loading the recent files

Constructor Summary
`LoadRecentProject()`

Method Summary
`void` | `doAction(ActionEvent e)`
`Set` | `getActionNames()`
`static String` | `getRecentFile(int index)` Get the full path to the recent file where index 0 is the most recent
`static List` | `getRecentFileMenuItems()` Get the menu items to add to the menu bar, to get recent file functionality
`static void` | `updateRecentFileMenuItems(List menuItems, String loadedFileName)` Update the content and visibility of the menu items for recent files

Methods inherited from class org.apache.jmeter.gui.action.Load
`insertLoadedTree, insertLoadedTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadRecentProject

    public LoadRecentProject()

Method Detail

### getActionNames

    public Set getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  Overrides:
    `getActionNames` in class `Load`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `Load`

### getRecentFileMenuItems

    public static List getRecentFileMenuItems()

  Get the menu items to add to the menu bar, to get recent file functionality

  Returns:
    a List of JMenuItem and a JSeparator, representing recent files

### updateRecentFileMenuItems

    public static void updateRecentFileMenuItems(List menuItems,
                                                 String loadedFileName)

  Update the content and visibility of the menu items for recent files

  Parameters:
    `menuItems` - the JMenuItem and JSeparator to update
    `loadedFileName` - the file name of the project file that has just been loaded

### getRecentFile

    public static String getRecentFile(int index)

  Get the full path to the recent file where index 0 is the most recent

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.